Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Class DefaultStyledDocument.ElementSpec

    java.lang.Object
      |
      +--javax.swing.text.DefaultStyledDocument.ElementSpec

public static class DefaultStyledDocument.ElementSpec
extends java.lang.Object

Specification for building elements.

Warning: * Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

Field Summary
`static short` | `ContentType` A possible value for getType.
`static short` | `EndTagType` A possible value for getType.
`static short` | `JoinFractureDirection` A possible value for getDirection.
`static short` | `JoinNextDirection` A possible value for getDirection.
`static short` | `JoinPreviousDirection` A possible value for getDirection.
`static short` | `OriginateDirection` A possible value for getDirection.
`static short` | `StartTagType` A possible value for getType.

Constructor Summary
`DefaultStyledDocument.ElementSpec(AttributeSet a, short type)` Constructor useful for markup when the markup will not be stored in the document.
`DefaultStyledDocument.ElementSpec(AttributeSet a, short type, char[] txt, int offs, int len)` Constructor for creating a spec externally for batch input of content and markup into the document.
`DefaultStyledDocument.ElementSpec(AttributeSet a, short type, int len)` Constructor for parsing inside the document when the data has already been added, but len information is needed.

Method Summary
`char[]` | `getArray()` Gets the array of characters.
`AttributeSet` | `getAttributes()` Gets the element attributes.
`short` | `getDirection()` Gets the direction.
`int` | `getLength()` Gets the length.
`int` | `getOffset()` Gets the starting offset.
`short` | `getType()` Gets the element type.
`void` | `setDirection(short direction)` Sets the direction.
`void` | `setType(short type)` Sets the element type.
`java.lang.String` | `toString()` Converts the element to a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### StartTagType

    public static final short StartTagType

  A possible value for getType. This specifies that this record type is a start tag and represents markup that specifies the start of an element.

### EndTagType

    public static final short EndTagType

  A possible value for getType. This specifies that this record type is a end tag and represents markup that specifies the end of an element.

### ContentType

    public static final short ContentType

  A possible value for getType. This specifies that this record type represents content.

### JoinPreviousDirection

    public static final short JoinPreviousDirection

  A possible value for getDirection. This specifies that the data associated with this record should be joined to what precedes it.

### JoinNextDirection

    public static final short JoinNextDirection

  A possible value for getDirection. This specifies that the data associated with this record should be joined to what follows it.

### OriginateDirection

    public static final short OriginateDirection

  A possible value for getDirection. This specifies that the data associated with this record should be used to originate a new element. This would be the normal value.

### JoinFractureDirection

    public static final short JoinFractureDirection

  A possible value for getDirection. This specifies that the data associated with this record should be joined to the fractured element.

Constructor Detail

### DefaultStyledDocument.ElementSpec

    public DefaultStyledDocument.ElementSpec(AttributeSet a,
                                             short type)

  Constructor useful for markup when the markup will not be stored in the document.
  Parameters:
    `a` - the attributes for the element
    `type` - the type of the element (StartTagType, EndTagType, ContentType)

### DefaultStyledDocument.ElementSpec

    public DefaultStyledDocument.ElementSpec(AttributeSet a,
                                             short type,
                                             int len)

  Constructor for parsing inside the document when the data has already been added, but len information is needed.
  Parameters:
    `a` - the attributes for the element
    `type` - the type of the element (StartTagType, EndTagType, ContentType)
    `len` - the length >= 0

### DefaultStyledDocument.ElementSpec

    public DefaultStyledDocument.ElementSpec(AttributeSet a,
                                             short type,
                                             char[] txt,
                                             int offs,
                                             int len)

  Constructor for creating a spec externally for batch input of content and markup into the document.
  Parameters:
    `a` - the attributes for the element
    `type` - the type of the element (StartTagType, EndTagType, ContentType)
    `txt` - the text for the element
    `offs` - the offset into the text >= 0
    `len` - the length of the text >= 0

Method Detail

### setType

    public void setType(short type)

  Sets the element type.
  Parameters:
    `type` - the type of the element (StartTagType, EndTagType, ContentType)

### getType

    public short getType()

  Gets the element type.
  Returns:
    the type of the element (StartTagType, EndTagType, ContentType)

### setDirection

    public void setDirection(short direction)

  Sets the direction.
  Parameters:
    `direction` - the direction (JoinPreviousDirection, JoinNextDirection)

### getDirection

    public short getDirection()

  Gets the direction.
  Returns:
    the direction (JoinPreviousDirection, JoinNextDirection)

### getAttributes

    public AttributeSet getAttributes()

  Gets the element attributes.
  Returns:
    the attribute set

### getArray

    public char[] getArray()

  Gets the array of characters.
  Returns:
    the array

### getOffset

    public int getOffset()

  Gets the starting offset.
  Returns:
    the offset >= 0

### getLength

    public int getLength()

  Gets the length.
  Returns:
    the length >= 0

### toString

    public java.lang.String toString()

  Converts the element to a string.
  Returns:
    the string
  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.